Package org.opensaml.soap.wstrust.impl

# Class StatusImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.StatusImpl

All Implemented Interfaces:
  `XMLObject`, `Status`, `WSTrustObject`

public class StatusImpl extends AbstractWSTrustObject implements Status
StatusImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Code`
`code`
The Code child element.
`private Reason`
`reason`
The Reason child element.

### Fields inherited from interface org.opensaml.soap.wstrust.Status

`ELEMENT_LOCAL_NAME, ELEMENT_NAME`

## Constructor Summary

Constructors
Constructor
Description
`StatusImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Code`
`getCode()`
Returns the wst:Code child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Reason`
`getReason()`
Returns the wst:Reason child element.
`void`
`setCode(Code newCode)`
Sets the wst:Code child element.
`void`
`setReason(Reason newReason)`
Sets the wst:Reason child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### code

@Nullable private Code code
The Code child element.

### reason

@Nullable private Reason reason
The Reason child element.

## Constructor Details

### StatusImpl

public StatusImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getCode

@Nullable public Code getCode()
Returns the wst:Code child element.

Specified by:
  `getCode` in interface `Status`
Returns:
  the `Code` child element or `null`

### getReason

@Nullable public Reason getReason()
Returns the wst:Reason child element.

Specified by:
  `getReason` in interface `Status`
Returns:
  the `Reason` child element or `null`.

### setCode

public void setCode(@Nullable Code newCode)
Sets the wst:Code child element.

Specified by:
  `setCode` in interface `Status`
Parameters:
  `newCode` - the `Code` child element to set.

### setReason

public void setReason(@Nullable Reason newReason)
Sets the wst:Reason child element.

Specified by:
  `setReason` in interface `Status`
Parameters:
  `newReason` - the `Reason` child element to set.

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements